pipeline {
   agent any

   tools {
      // Install the Maven version configured as "M3" and add it to the path.
      maven "maven-3.6.2"
   }

   stages {
      stage('Pull Common & Package') {
         steps {
            // Get some code from a GitHub repository
            git changelog: false, credentialsId: '3c41bc52-2eab-4f00-ad13-08f794dca947', url: 'http://gitlab.goldnet.com/gitadmin/commonlib.git'

            // Run Maven on a Unix agent.
            bat "mvn -Dmaven.test.failure.ignore=true clean package"

            // To run Maven on a Windows agent, use
            // bat "mvn -Dmaven.test.failure.ignore=true clean package"
         }

         post {
            // If Maven was able to run the tests, even if some of the test
            // failed, record the test results and archive the jar file.
            success {
               junit '**/target/surefire-reports/TEST-*.xml'
               archiveArtifacts 'target/*.jar'
            }
         }
      }

      stage('Pull GameBase & Package') {
                   steps {
            // Get some code from a GitHub repository
            git changelog: false, credentialsId: '3c41bc52-2eab-4f00-ad13-08f794dca947', url: 'http://gitlab.goldnet.com/jeff.lan/ogarcadebase_java.git'

            // Run Maven on a Unix agent.
            bat "mvn -Dmaven.test.failure.ignore=true clean package"

            // To run Maven on a Windows agent, use
            // bat "mvn -Dmaven.test.failure.ignore=true clean package"
         }

         post {
            // If Maven was able to run the tests, even if some of the test
            // failed, record the test results and archive the jar file.
            success {
               junit '**/target/surefire-reports/TEST-*.xml'
               archiveArtifacts 'target/*.jar'
            }
         }
      }

            stage('Pull Game & Package') {
                   steps {
            // Get some code from a GitHub repository
            git changelog: false, credentialsId: '3c41bc52-2eab-4f00-ad13-08f794dca947', url: 'http://gitlab.goldnet.com/jeff.lan/ogdoudizhu_java.git'

            // Run Maven on a Unix agent.
            bat "mvn -Dmaven.test.failure.ignore=true clean package"

            // To run Maven on a Windows agent, use
            // bat "mvn -Dmaven.test.failure.ignore=true clean package"
         }

         post {
            // If Maven was able to run the tests, even if some of the test
            // failed, record the test results and archive the jar file.
            success {
               junit '**/target/surefire-reports/TEST-*.xml'
               archiveArtifacts 'target/*.jar'
            }
         }


      }

        stage ('push to ssh') {
            steps {
                sshPublisher(publishers: [sshPublisherDesc(configName: 'OGDEV', transfers: [sshTransfer(cleanRemote: false, excludes: '', execCommand: 'pwd', execTimeout: 120000, flatten: false, makeEmptyDirs: false, noDefaultExcludes: false, patternSeparator: '[, ]+', remoteDirectory: '/DoudizhuExec/test', remoteDirectorySDF: false, removePrefix: 'target/', sourceFiles: 'target/*.jar')], usePromotionTimestamp: false, useWorkspaceInPromotion: false, verbose: false)])
            }
         }


   }
}
